Bug 30828 - добавляет не тот UUID
: добавляет не тот UUID
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/installer-feature-desktop-suspend-stage2)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
: 30910
  Show dependency tree
 
Reported: 2015-03-12 01:38 by
Modified: 2015-04-05 23:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2015-03-12 01:38:19
С какого-то момента blkid стал для TYPE="swap" выдавать не только UUID, а и
PARTUUID -- регэкс ловит именно его, в итоге никто никуда не суспендится.

Предлагаемый однобайтный патч с чуть более развесистым описанием:
http://git.altlinux.org/people/mike/packages/?p=installer-feature-desktop-suspend.git;a=commitdiff;h=8c3cb796ab16f7afd0a91555ad23247db71d1d01
------- Comment #1 From 2015-03-27 19:27:17 -------
installer-feature-desktop-suspend-0.6-alt1 -> sisyphus:

* Fri Mar 27 2015 Michael Shigorin <mike@altlinux> 0.6-alt1
- fixed wrong swap UUID with recent blkid (closes: #30828)
------- Comment #2 From 2015-04-05 23:05:28 -------
Вручную можно поправить, найдя подходящий UUID свопа в выводе

# blkid | grep swap

и поменяв его в /etc/sysconfig/grub2 (GRUB_CMDLINE_LINUX_DEFAULT) с последующим
grub-autoupdate